* {
  margin: 0;
  padding: 0;
}

nav {
  margin: 20px 35%;
  position: absolute;
  background-color: white;
  width: 34%;
  height: 8%;
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0px 0 6px rgb(0, 0, 0);
  z-index: 1002;
}
.no-scroll {
  overflow: hidden;
}
.nav-img > img {
  height: 45px;
  width: auto;
  margin: 5px 30px;
}

.mobile-menu {
  display: none;
  cursor: pointer;
  z-index: 1001;
}

.mobile-menu div {
  position: relative;
  right: 20px;
  width: 32px;
  height: 2px;
  background: rgb(60, 60, 60);
  margin: 8px;
  transition: 0.3s;
  z-index: 1001;
}

.nav-list {
  display: flex;
  font-size: 18px;
  padding-right: 46px;
  gap: 20px;
  align-items: center;
  z-index: 1001;
}

.nav-list a {
  text-decoration: none;
  color: rgb(70, 66, 66);
  font-family: Helvetica;
  font-size: 15px;
}

.nav-list a:hover {
  color: #5a1617;
}

@media (max-width: 1480px) {
  body {
    overflow-x: hidden;
  }

  nav {
    margin-top: 0px;
    margin-left: -4px;
    border-radius: 0px 0px 25px 25px;
    width: 102%;
    height: 10%;
  }

  .nav-img > img {
    margin-left: 25px;
    height: 45px;
    order: 1;
  }

  .nav-list {
    position: absolute;
    top: 83%;
    width: 100%;
    height: 100vh;
    background: #ffffff;
    flex-direction: column;
    text-align: center;
    transform: translateY(-110%);
    transition: transform 0.3s ease-in;
    z-index: 1100;
  }

  .nav-list a {
    padding: 8vh;
    margin-left: 50px;
    font-size: large;
    border-bottom: solid 1px rgb(0, 0, 0);
  }

  .mobile-menu {
    display: block;
    padding-right: 0px;
    z-index: 1001;
    order: 2;
  }

  .nav-list.active {
    transform: translateX(0);
  }

  @keyframes navLinkFade {
    from {
      opacity: 0;
      transform: translateY(50px);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }

  .mobile-menu.active .line1 {
    transform: rotate(-45deg) translate(-8px, 8px);
  }

  .mobile-menu.active .line2 {
    opacity: 0;
  }

  .mobile-menu.active .line3 {
    transform: rotate(45deg) translate(-5px, -7px);
  }
}
